
--DrogueAvailable = true
--BoomAvailable = false

numvessels = vessel.get_count()

--Existent Drogue or Boom search. If attachments are created by scripts later , 
-- after and using the connections created here,
-- no drogue or boom will be found. In this case, DrogueAvailable or BoomAvailable should
--come set already from the script that calls this one according to the equipment option estabilished there.

odx=0
while odx < numvessels do
	vthisv = vessel.get_interface(odx)
	natt = vthisv:get_attachmentcount(false)
	ody = 0
	if natt ~= 0 then
		while ody < natt do
			hAttachment = vthisv:get_attachmenthandle(false,ody)
			attid = vthisv:get_attachmentid(hAttachment)
			if string.sub(attid,1,4) == 'A2RB' then
				BoomAvailable = true
			elseif string.sub(attid,1,4) == 'A2RD' then
				DrogueAvailable = true
			end
		ody=ody+1
		end
	end
	odx=odx+1
end


odx=0
while odx < numvessels do
	vthisv = vessel.get_interface(odx)
	cname = vthisv:get_classname()
	if string.upper(cname) =='DELTAGLIDER' or string.upper(cname) == 'DG-S' then
		if BoomAvailable then
		--Boom receptacle for deltaglider (child)
			atprm = {
				pos = {x = 0,y = 1.8,z = 1},
				dir = {x = 0,y = 0,z = 1},
				rot = {x = 0,y = 1,z = 0},
				id = 'A2RR'
			}
				hAtt1 = vthisv:create_attachment(true,atprm.pos,atprm.dir,atprm.rot,atprm.id,false)
			
		elseif DrogueAvailable then
		--Drogue Probe for deltaglider (child)
			atprm = {
				pos = {x = 1.121,y = 0.32,z = 8.07},
				dir = {x = 0,y = 0,z = 1},
				rot = {x = 0,y = 1,z = 0},
				id = 'A2RP'
			}
				hAtt1 = vthisv:create_attachment(true,atprm.pos,atprm.dir,atprm.rot,atprm.id,false)
		end

	--Connection to Boom position for DG (parent)
		atprm = {
			--pos = {x = 0,y = -0.8,z = -3.21}, --central ventral pos
			--pos = {x = -4.45 ,y =  -.6, z = -.3},
			pos = {x = -7.95 ,y =  -.35, z = -3.2},
			dir = {x = 0,y = -1,z = 0},
			rot = {x = 0,y = 0,z = 1},
			id = 'A2RCL'
		}
		hAtt2 = vthisv:create_attachment(false,atprm.pos,atprm.dir,atprm.rot,atprm.id,false)
		
		atprm = {
			--pos = {x = 4.45 ,y =  -.6, z = -.3},
			pos = {x = 7.95 ,y =  -.35, z = -3.2},
			dir = {x = 0,y = -1,z = 0},
			rot = {x = 0,y = 0,z = 1},
			id = 'A2RCR'
		}
		hAtt3 = vthisv:create_attachment(false,atprm.pos,atprm.dir,atprm.rot,atprm.id,false)

		end --put elseifs for other vessels here


		odx=odx+1
end
